
%define name	kde-smooth-tasks-legacy
%define version	20130601
%define rversion 2010-11-06
%define release	%mkrel 4

Summary:	This taskbar replacement has window peeking similar to Windows 7
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	flupp-smooth-tasks-wip-%rversion.tar.xz
Patch0:		fix_kde4.8_comp.patch
License:	GPLv2+
Group:		Graphical desktop/KDE4
URL:		http://www.kde-look.org/content/show.php/Smooth+Tasks?content=101586
BuildRequires:	kdelibs-devel
BuildRequires:	kde4-macros
BuildRequires:	cmake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	kde-smooth-tasks = %version-%release

%description
This taskbar replacement has window peeking similar to Windows 7 when you use
the kwin 'highlite window' effect. Even if this effect is not used you can
click the tooltip in order to activate the corresponding window.

#german
%description -l de
This taskbar replacement has window peeking similar to Windows 7 when you use
the kwin 'highlite window' effect. Even if this effect is not used you can
click the tooltip in order to activate the corresponding window.

%prep
%setup -q -n flupp-smooth-tasks-wip-%rversion
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4
make

%install
rm -rf %{buildroot}
make -C build DESTDIR=%buildroot install

mv %buildroot/%{_libdir}/kde4/plasma_applet_smooth-tasks.so \
%buildroot/%{_libdir}/kde4/plasma_applet_smooth-tasks-legacy.so

mv %buildroot/%_datadir/kde4/services/plasma-applet-smooth-tasks.desktop \
%buildroot/%_datadir/kde4/services/plasma-applet-smooth-tasks-legacy.desktop

rm -rf %buildroot/%_datadir/locale


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
/*

%changelog
* Mon Feb 24 2014 bb <bb> 20130601-4pclos2014
- remove eet and eina deps

* Sun Dec 01 2013 billybot <billybot> 20130601-3pclos2013
- rebuild

* Fri Nov 08 2013 billybot <billybot> 20130601-2pclos2013
- rebuild

* Tue Jun 03 2013 Texstar <texstar at gmail.com> 20130601-1pclos2013
- old smooth-tasks
